### Method

# ECal ComponentAlarm set_from_component

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_set_from_component (
      ECalComponentAlarm* alarm,
      const ICalComponent* component
    )

#### Description [src]

Fill the `alarm` structure with the information from the `component`, which should be of `I_CAL_VALARM_COMPONENT` kind.

Available since: 3.34

#### Parameters

`component`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the method.